<?php 

if ('POST' == $_SERVER['REQUEST_METHOD'] && !empty ($_POST['action']) && $_POST['action'] == 'post' ) {

	if (! is_user_logged_in ()) {	
		auth_redirect ();
	}
	if (! current_user_can ('publish_posts')) {
		wp_redirect (get_bloginfo ('url') . '/');
		exit;
	}
	check_admin_referer ('new-post');
	$user_id			= $current_user->user_id;
	$post_content	= $_POST['posttext'];
	$tags				= $_POST['tags'];
	$char_limit		= 48;
	$post_title		= strip_tags ($post_content);
	if (strlen ($post_title) > $char_limit ) {
		$post_title = substr ($post_title, 0, $char_limit) . '...';
	}
	$post_id = wp_insert_post (array(
		'post_author'	=> $user_id,
		'post_title'	=> $post_title,
		'post_content'	=> $post_content,
		'tags_input'	=> $tags,
		'post_status'	=> 'publish'
	));
	wp_redirect (get_bloginfo( 'url' ) . '/');
	exit;
}
get_header( ); 
if (current_user_can ('publish_posts')) {
	require_once dirname (__FILE__) . '/post-form.php';
}
?>
<div id="main">
<h2>Suche nach <em><?php echo get_search_query () ?></em></h2>
<ul>
<?php
if( have_posts () ) {
	$previous_user_id = 0;
	while( have_posts( ) ) {
		the_post( );
?>
<li id="prologue-<?php the_ID(); ?>" class="user_id_<?php the_author_ID( ); ?>">
<?php
		// Don't show the avatar if the previous post was by the same user
		$current_user_id = get_the_author_ID( );
		if( $previous_user_id !== $current_user_id ) {
			echo get_avatar_l ($current_user_id, get_the_author_email (), 48, '', get_bloginfo ('template_directory') . '/i/bla.gif' );
		}
		$previous_user_id = $current_user_id;
?>
<h4 class="indexheader">
<?php the_author_posts_link (); ?>
<span class="meta">
am <?php the_time ("j.n.Y"); ?> um <?php the_time ("H:i"); ?>  
<span class="metaicons">
<a href="<?php the_permalink( ); ?>" title="Permalink"><?php echo prologue_icon ('icon-link', 'Dauerhafter Link'); ?></a> 
<?php comments_popup_link (prologue_icon ('icon-mail', 'Kommentare') . '(0) ', prologue_icon ('icon-mail', 'Kommentare') . '(1) ', prologue_icon ('icon-mail', 'Kommentare') . '(%) '); ?>
<?php edit_post_link (prologue_icon ('icon-pencil', 'Beitrag editieren')); ?>
</span>
<br />
<?php the_tags (prologue_icon ('icon-folder', 'Schlagw&ouml;rter') . ' ', ', ', ' ' ); ?>
</span>
</h4>
<div class="postcontent">
<?php the_content( '(Weiterlesen...)'); ?>
</div> 
<div class="bottom_of_entry">&nbsp;</div>
</li>
<?php
	} // while have_posts
} // if have_posts
?>
</ul>
<div class="navigation"><p>&nbsp;<?php echo prologue_icon ('icon-history', 'Navigation'); posts_nav_link ('&nbsp;', '<span class="navnewer">' . prologue_icon ('icon-back') . 'Neuere</span>', '<span class="navolder">&Auml;ltere' . prologue_icon ('icon-forward') . '</span>'); ?></p></div>
</div> 
<?php
get_footer( );
?>